Subject: Re: [PATCHv2 net-next] xfrm: Make xfrm_state timer monotonic

From: Fan Du <[email-masked]>
Date: Tue, 13 Aug 2013 16:37:04 +0800

On 2013年08月13日 15:55, Steffen Klassert wrote:
> On Mon, Aug 12, 2013 at 01:40:07PM +0800, Fan Du wrote:
>>
>>
>> On 2013年08月06日 17:22, Steffen Klassert wrote:
>>> On Tue, Aug 06, 2013 at 02:57:05PM +0800, Fan Du wrote:
>>>> xfrm_state timer should be independent of system clock change,
>>>> so switch to monotonic clock base.
>>>>
>>>
>>> I think a monotonic timer will reintroduce a bug on suspend/resume
>>> that was fixed by commit 9e0d57fd6
>>> (xfrm: SAD entries do not expire correctly after suspend-resume)
>>>
>>> Please make sure that this does not happen.
>>
>> What about using CLOCK_BOOTTIME? it's monotonic, but includes suspend time as well.
>
> As I said, I'm open to everything that fixes your problem and does not
> introduce a regression. I'll consider applying after some testing
> if noone else has objections.

Hi, Steffen

Thanks for your understanding! :)

I happened to bump into CLOCK_BOOTTIME several days ago, so apologize for
eating my words earlier. Changing xfrm_state timer to monotonic does not
solve the problem I've described earlier in:

http://www.spinics.net/lists/netdev/msg245019.html (*1*)

So is there any light of hope for the proposal in (*1*) by using CLOCK_BOOTTIME
instead?

> Thanks!

-- 
浮沉随浪只记今朝笑

--fan